Eclipse安装新软件时出现问题

我使用的是Eclipse 3.6(Helios)for mac os X.我从Eclipse下载页面下载,解压并放入Applications文件夹。 然后,我启动Eclipse,并select工作区(默认,文档/工作区)。 在此之后,我试图通过帮助 – >安装新软件来安装新软件。 问题是发生错误,并显示以下消息:“无法完成请求。此安装尚未针对软件更新进行正确configuration。有关详细信息,请参阅错误日志。

错误日志有:“找不到正在运行的configuration文件实例,eclipse.p2.data.area和eclipse.p2.profile属性可能没有在此应用程序的config.ini文件中正确设置。

我试图做到这一点,因为我想为Android开发安装ADT(而且我不能执行“如何”的第一步)。

我能做些什么来解决这个问题?

先谢谢你

Solutions Collecting From Web of "Eclipse安装新软件时出现问题"

最有可能的是,这是由旧版本的Unarchiver中的一个错误引起的,该错误破坏了eclipse中包含的默认configuration文件。 升级到最新版本的Unarchiver,再次提取eclipse,一切都应该工作。

通常这是因为添加依赖包的链接没有在Eclipse中设置。 确保http://download.eclipse.org/eclipse/updates/3.6和hxxp&#xFF1A://download.eclipse.org/eclipse/helios(将txreplace为xx)列在可用软件站点下(在帮助 – >安装新的软件)。 一旦出现这些提示,Eclipse应该能够下载ADT所需的全部依赖。

我有同样的问题。 最终我下载了一个不同的包(实际上我尝试了几个不同的版本,他们都有不同的bug)。 给它一个烙印,如果它工作,你只需要安装你正在做的工作的插件。